package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.RefillCard;
import cn.wisenergy.model.dto.RefillCardDto;
import com.github.pagehelper.PageInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface RefillCardService {
    /**
     * 添加充值卡
     * @param refillCard
     * @return
     */
    R<Boolean> add(RefillCard refillCard);

    /**
     * 改变激活状态
     * @param batchNumber
     * @return
     */
    R<Boolean> update(String batchNumber);

    /**
     * 查询充值卡信息
     * @param pageNo
     * @param pageSize
     * @return
     */
    R<PageInfo<RefillCardDto>> getList(Integer pageNo, Integer pageSize);

    /**
     * 生成卡片
     * @return
     */
    R<Boolean> createCard(Integer id);
}
